Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Class EventStageModel

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
  - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.EventStageModel

All Implemented Interfaces:
  `Serializable`

    public class EventStageModel
    extends BaseModel

See Also:
  Serialized Form

### Field Summary

Fields
`LocalDateTime` `endTime`
`Long` `eventId`
`String` `operation`
`LocalDateTime` `startTime`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

### Constructor Summary

Constructors
`EventStageModel()`
`EventStageModel​(Long id, Long eventId, String operation)`
`EventStageModel​(Long eventId, String stageOperation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### eventId

    public Long eventId

#### operation

    public String operation

#### startTime

    public LocalDateTime startTime

#### endTime

    public LocalDateTime endTime

### Constructor Detail

#### EventStageModel

    public EventStageModel()

#### EventStageModel

    public EventStageModel​(Long eventId,
                           String stageOperation)

#### EventStageModel

    public EventStageModel​(Long id,
                           Long eventId,
                           String operation)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`